---
# ---------------------------
# Kalliope default settings
# Use YAML syntax
# ---------------------------

# ---------------------------
# Trigger
# ---------------------------
# This is the trigger that will catch your magic work to wake up Kalliope
default_trigger: "snowboy"

# Trigger engine configuration
# Available engine are:
# - snowboy
triggers:
  - snowboy:
      pmdl_file: "trigger/snowboy/resources/kalliope-FR-6samples.pmdl"


# ---------------------------
# Speech to text
# ---------------------------

# This is the STT that will be used by default
default_speech_to_text: "google"

speech_to_text:
  - google:
      language: "fr-FR"


# ---------------------------
# Text to speech
# ---------------------------
# This is the default TTS that will be used by Kalliope to talk.
default_text_to_speech: "pico2wave"
# where we store generated audio files from TTS engine to reuse them
cache_path: "/tmp/kalliope_tts_cache"

text_to_speech:
  - pico2wave:
      language: "fr-FR"
      cache: True
  - voxygen:
      voice: "Agnes"
      cache: True

# ---------------------------
# Wake up answers
# ---------------------------
# When Kalliope detect the hotword/trigger, he will select randomly a phrase in the following list
# to notify the user that he's listening for orders
random_wake_up_answers:
  - "Oui monsieur?"

# You can play a sound when Kalliope detect the hotword/trigger instead of saying something from
# the `random_wake_up_answers`.
# Place here the full path of the sound file or just the name of the file in /usr/lib/kalliope/sounds
# The file must be .wav or .mp3 format. By default two file are provided: ding.wav and dong.wav
random_wake_up_sounds:
  - "sounds/ding.wav"
  - "sounds/dong.wav"

# ---------------------------
# On ready notification
# ---------------------------
# This section is used to notify the user when Kalliope is waiting for a trigger detection by playing a sound or speak a sentence out loud

# This parameter define if you play the on ready answer:
# - always: every time Kalliope is ready to be awaken
# - never: never play a sound or sentences when kalliope is ready
# - once: at the first start of Kalliope
play_on_ready_notification: never

# The on ready notification can be a sentence. Place here a sentence or a list of sentence. If you set a list, one sentence will be picked up randomly
on_ready_answers:
  - "Kalliope is ready"

# You can play a sound instead of a sentence.
# Remove the `on_ready_answers` parameters by commenting it out and use this one instead.
# Place here the path of the sound file. Files must be .wav or .mp3 format.
on_ready_sounds:
  - "sounds/ding.wav"
  - "sounds/dong.wav"


# ---------------------------
# Rest API
# ---------------------------
rest_api:
  active: True
  port: 5000
  password_protected: True
  login: admin
  password: secret
  allowed_cors_origin: False

# ---------------------------
# Default Synapse
# ---------------------------
# Specify an optional default synapse response in case your order is not found.
default_synapse: "Default-synapse"

# ---------------------------
# resource directory path
# ---------------------------
resource_directory:
  neuron: "/tmp/kalliope/tests/kalliope_resources_dir/neurons"
  stt: "/tmp/kalliope/tests/kalliope_resources_dir/stt"
  tts: "/tmp/kalliope/tests/kalliope_resources_dir/tts"
  trigger: "/tmp/kalliope/tests/kalliope_resources_dir/trigger"

# ---------------------------
# Global files variables
# /!\ If a variable is defined in different files, the last file defines the value.
# ---------------------------
var_files:
  - "../Tests/settings/variables.yml"
